Patient - Login
POST
/auth/tenant/Patient/login/startdev
https://api.sandbox.ovok.comLogin with email and password. Response either contains challange or MFA challenge - which is followed up by challenge as a second step as well.
Request body
Content-Type: application/json
email:string(required)password:string(required)tenantCode:string(required) — Tenant code, e.g. "big-health-company"codeChallenge:string(required) — A randomly generated text that is sent from client application, the client application should generate it using the codeVerifier from the challange
Responses
| Code | Description |
|---|---|
200 | Success. |
400 | The request could not be operated by the server. |
401 | The resource owner or authorization server denied the request. |
404 | The requested resource could not be found. |
422 | The request could not be validated by the server. |
500 | The server encountered an unexpected condition. Please try again later. |
200 → StartPatientLoginResponseDto (application/json)
Example
{
"nextStep": "token",
"sessionCode": "OhZEgsMYoWG1ZTzbwezCZMzfikHQRws2"
}